proxy-providers:
  MAGI:
    url: https://sub-store-backend.ddtw.site/download/MAGI?target=Stash
    interval: -1
  ASH:
    url: https://sub-store-backend.ddtw.site/download/ASH?target=Stash
    interval: -1

proxy-groups:
  - name: PROXY
    type: select
    icon: https://fastly.jsdelivr.net/gh/Koolson/Qure/IconSet/Color/Proxy.png
    interval: -1
    lazy: true
    filter: null
    include-all: true
    proxies:
      - DIRECT
    ssid-policy: null

rules:
  # 自定义规则
  - DOMAIN-SUFFIX,docstransfer.com,DIRECT
  - DOMAIN-SUFFIX,ddtw.site,DIRECT
  - DOMAIN-KEYWORD,googleapis,PROXY
  # 最终规则
  - GEOIP,private,DIRECT
  - GEOIP,cn,DIRECT
  - MATCH,PROXY

script:
  shortcuts:
    quic: network == 'udp' and dst_port == 443

dns:
  default-nameserver:
    - 119.29.29.29
    - 223.5.5.5
    - system
  nameserver:
    - https://doh.pub/dns-query
    - https://doh.alidns.com/dns-query

log-level: warning
mode: rule

http:
  url-rewrite: []
  header-rewrite: []
